Name: libgii
Version: 0.8.1
Release: alt2

Summary: LibGII (General Input Interface)

Copyright: Public Domain
Group: System/Libraries
URL: http://www.ggi-project.org/

Source: ftp://ftp.ggi-project.org:/pub/ggi/ggi/2_0_beta_3/%name-%version.tar.bz2

# Automatically added by buildreq on Thu Sep 26 2002
BuildRequires: XFree86-devel glibc-devel-static libdnet-devel

%description
The goal of LibGII is to provide a single easy to use, but yet powerful,    
API for all possible input sources. However we are not there yet. The           
API is far from set in stone yet, and is likely to change.        

The main purpose of this LibGII release is to accompany our LibGGI beta
release, but you're still very welcome to use LibGII as a standalone
library for your non-LibGGI applications. Also you might be interrested in
the mhub utility found in the demos directory. mhub is a mouse event repeater
and converter. See mhub(1) and the files doc/env.txt and doc/input.txt for
more info.

%package devel
Summary: development part of %name
Group: Development/C
Requires: %name = %version-%release

%description devel
development files for %name

%prep
%setup -q 

#correct manuals' names
(cd doc/man;
for i in `find . -type f -name '*3*' `;do
    j=`echo $i|sed s/[3-9].*/3/`;
    mv -f  $i $j;
done
for i in `find . -type f -name '*7*' `;do
    j=`echo $i|sed s/[7-9].*/7/`;
    mv -f  $i $j;
done

for i in `find . -type f -name '*9*' `;do
    j=`echo $i|sed s/[7-9].*/9/`;
    mv -f  $i $j;
done

perl -pi -e 's@\.3g.i@\.3@g'  Makefile.in
perl -pi -e 's@\.7g.i@\.7@g'  Makefile.in
perl -pi -e 's@\.9g.i@\.9@g'  Makefile.in

for i in `find . -type f -name 'g*' `;do
    perl -pi -e 's@\.9g.i@\.9@g'  $i
    perl -pi -e 's@\.7g.i@\.7@g'  $i
    perl -pi -e 's@\.3g.i@\.3@g'  $i
done
)

%build
%undefine __libtoolize
%configure
%make_build

%install
%makeinstall

%files
%doc README NEWS ChangeLog INSTALL FAQ
%config(noreplace) %_sysconfdir/ggi/*
%_bindir/*
%_libdir/ggi/*/*.so
%_libdir/*.so.*
%_mandir/man?/*

%files devel
%_includedir/*
%_libdir/ggi/*/*.la
%_libdir/*.so
%_libdir/*.la

%changelog
* Thu Sep 26 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8.1-alt2
- rebuild with gcc3

* Mon Sep 17 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Fri Jul 27 2001 Stanislav Ievlev <inger@altlinux.ru> 0.8-alt1
- 0.8

* Wed Jul 04 2001 Stanislav Ievlev <inger@altlinux.ru> 0.7-alt1
- Initial release for ALT Linux
